Developer Documentation

Public Types | Public Member Functions | Static Public Member Functions | Private Types | Private Member Functions | Static Private Attributes | List of all members
OpenMesh::Subdivider::Adaptive::FVc< M > Class Template Reference

`#include <OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Tools/Subdivider/Adaptive/Composite/RulesT.hh>`

Inheritance diagram for OpenMesh::Subdivider::Adaptive::FVc< M >:

## Public Types
typedef RuleInterfaceT< M > | Inherited
Public Types inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
typedef M | Mesh
typedef RuleInterfaceT< M > | Self
typedef RuleHandleT< Self > | Rule
typedef M::Scalar | scalar_t

## Public Member Functions
| FVc (M &_mesh)
void | raise (typename M::VertexHandle &_vh, state_t _target_state)
| Raise item to target state `_target_state`.
| MIPS_WARN_WA (Face) MIPS_WARN_WA(Edge) static void init_coeffs(size_t _max_valence)
double | coeff (size_t _valence)
Public Member Functions inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
virtual | ~RuleInterfaceT ()
| Destructor.
virtual const char * | type () const =0
void | update (typename M::FaceHandle &_fh, state_t _target_state)
void | update (typename M::EdgeHandle &_eh, state_t _target_state)
void | update (typename M::VertexHandle &_vh, state_t _target_state)
int | subdiv_type () const
| Type of split operation, if it is a topological operator.
int | number () const
| Position in rule sequence.
virtual void | raise (typename M::FaceHandle &_fh, state_t _target_state)
| Raise item to target state `_target_state`.
virtual void | raise (typename M::EdgeHandle &_eh, state_t _target_state)
| Raise item to target state `_target_state`.
virtual void | set_coeff (scalar_t _coeff)
| Set coefficient - ignored by non-parameterized rules.
scalar_t | coeff () const
| Get coefficient - ignored by non-parameterized rules.

## Static Public Member Functions
static const std::vector< double > & | coeffs ()

## Private Types
typedef RuleInterfaceT< M > | Base

## Private Member Functions
| COMPOSITE_RULE (FVc, M)

## Static Private Attributes
static std::vector< double > | coeffs_

## Additional Inherited Members
Protected Member Functions inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
| RuleInterfaceT (Mesh &_mesh)
| Default constructor.
void | set_prev_rule (Self *&_p)
Self * | prev_rule ()
void | set_subdiv_rule (Self *&_n)
Self * | subdiv_rule ()
void | set_number (int _n)
void | set_n_rules (int _n)
int | n_rules ()
void | set_subdiv_type (int _n)
Protected Attributes inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
Mesh & | mesh_

## Detailed Description

### template<class M>
class OpenMesh::Subdivider::Adaptive::FVc< M >

Composite rule FVc

Definition at line 234 of file RulesT.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Tools/Subdivider/Adaptive/Composite/RulesT.hh